import 'package:equatable/equatable.dart';

class InvestPaymentState extends Equatable {
  final bool isFormValid;

  const InvestPaymentState({required this.isFormValid});

  InvestPaymentState copyWith({bool? isFormValid}) {
    return InvestPaymentState(
      isFormValid: isFormValid ?? this.isFormValid,
    );
  }

  @override
  List<Object> get props => [isFormValid];
}
